function varargout = PDescription(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @PDescription_OpeningFcn, ...
                   'gui_OutputFcn',  @PDescription_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function PDescription_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
movegui(hObject,'center');
global problname hlinks;
hlinks=problsel(handles,problname);
guidata(hObject, handles);

function varargout = PDescription_OutputFcn(hObject, eventdata, handles) 
varargout{1} = handles.output;

function text7_ButtonDownFcn(hObject, eventdata, handles)
global hlinks;
publ=get(handles.text7,'String');
if ~isempty(publ)
    web(hlinks{1},'-browser');
end

function pushbutton1_Callback(hObject, eventdata, handles)
close(handles.figure2);

function text8_ButtonDownFcn(hObject, eventdata, handles)
global hlinks;
publ=get(handles.text8,'String');
if ~isempty(publ)
    web(hlinks{2},'-browser');
end

function text9_ButtonDownFcn(hObject, eventdata, handles)
global hlinks;
publ=get(handles.text9,'String');
if ~isempty(publ)
    web(hlinks{3},'-browser');
end

function text10_ButtonDownFcn(hObject, eventdata, handles)
global hlinks;
publ=get(handles.text10,'String');
if ~isempty(publ)
    web(hlinks{4},'-browser');
end
